Page MenuHome

Blender 2.80 always launches on the secondary monitor
Closed, ResolvedPublicKNOWN ISSUE

Description

System Information
Operating system: Windows 10 64-bit
Graphics card: Nvidia GTX 1060 6Gb

Blender Version
Broken: 2.80
Worked: 2.7x

Short description of error
Blender always launches on the secondary monitor

Exact steps for others to reproduce the error
A lot of times my secondary monitor is turned off. Blender 2.80 shortcut is on the primary desktop (main monitor). Every time I launch it, the console opens up on the main monitor, but Blender itself opens up on the secondary monitor. 2.79 never did that - it would open on the main monitor (primary desktop).

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Just of our curiosity, what happens when you copy blender.exe to blender2.exe and then start it?

Same old same old.

I also copied startup.blend and userpref.blend from OrtogOnBlender (they have it in the local folder 2.80/config/) to my 2.80 blender local folder and Blender started on the main screen. I attached blend files from my user dir and from OrtogOnBlender.

@Ray molenkamp (LazyDodo), if you can reproduce the problem, can you handle it?

Just realized something - I think Blender 2.80 opens on the last available monitor. At home I only have 2 monitors and it opens on the second one. At work I have 3 monitors and it opens on the 3rd one.

Looks like I discovered a "dirty" way to get past this error.
I tried saving the startup file with the Blender window not fullscreen but in all sorts of sizes and positions on the main screen and by some luck I discovered that if I save it when Blender is in the bottom right corner, like shown in the pic, will make Blender open in the main screen next time BUT it will open on the top right corner instead of the bottom right where it was saved. Not the best but at least it's something.
I tried putting it in all other corners, or screen center on main monitor and saving startup file but then it always opens it again on monitor #3.

@Ray molenkamp (LazyDodo) Is it safe to say this bug won't be fixed in 2.81 ?

I have done nothing to fix it neither can i, no idea why it is doing this and i'm on a single monitor system.

So, no Blender devs with 2+ screens can take care of this issue? (especially after all these sponsors and money joined the cause) :/

Dalai Felinto (dfelinto) lowered the priority of this task from 80 to 30.Nov 11 2019, 11:53 PM

I cannot reproduce this (windows 2 screens). Blender 2.79 and 2.8x consistently open in my main monitor.
I even tried to change my main display to the other screen, and it keep working as expected.

I recommend you cleanup your " C:\Users\YourUserName\AppData\Roaming\Blender Foundation\Blender" (back it up before, so you don't loose your addons). And see what you get. Make sure to test 2.79 and 2.80 in the same machine with the same settings.

Is it safe to say this bug won't be fixed in 2.81 ?

Yes. Since this was not introduced from 2.80 to 2.81 as per your report, it is not a regression, so not a showstopper for the release.

@Dalai Felinto (dfelinto) If you read the whole thread, you'll see I already did that. I am guessing the issue is that if you folks ran pre-release before, when when you run 2.80 release you will not encounter this issue. I never ran 2.80 prior to release.

I also provided 2 configs - one from a pre-release version (OrtogOnBlender) and one from 2.80 - they are different! So something was going on in pre-release that made it work fine and that something was no longer in 2.80 release.

I have this issue at home and at work, only with 2.80. Blender 2.79 starts where it suppose to start.

Also, if it helps any, at home my main screen is on DisplayPort and secondary screen is on HDMI port. At work all 3 screens are on a DisplayPort splitter (Nvidia Quadro has only one DisplayPort and I have 3 HDMI-only monitors).

@Dalai Felinto (dfelinto) @Ray molenkamp (LazyDodo)

Alright, I just got the same issue going on with Akeytsu (animation software). Older version works fine, just like Blender 2.79 does, but new version acts as weird as Blender 2.80.

Here is a trick though. This my current setup:

https://i.postimg.cc/qvmKyddM/multiscreen-setup-bad.png

Physically screens are lined up exactly like on the image above. With this setup Blender 2.80 always launches on my secondary screen which is on top (HP).

However, if I swap screens in the Nvidia control panel like so:


https://i.postimg.cc/7ZT4MgFG/multiscreen-setup-good.png

Blender 2.80 will launch on my main screen (Asus PA246). However, since control panel layout doesn't match physical location of the screen, it's painful to work with (instead of naturally moving mouse up to get to secondary screen, I have to move mouse down).

I don't know why it's happening to Blender 2.80 and Akeytsu 2019, but it doesn't happen to Blender 2.7x, old Akeytsu, UE4, World Machine, Unity, GIMP, Steam, etc. Those apps launch on the screen they last launched no matter how I shuffle screens in the Nvidia control panel.

Sooo, just wondering if you guys got this new information and if it's of any help.

Well well well, I don't know what did you guys do, but 2.81 launches on the main screen now (although I nuked BF folder, that had 2.7x folders along with 2.80 folder, in Roaming/ before I launched 2.81)

Dalai Felinto (dfelinto) changed the task status from Unknown Status to Resolved.Nov 22 2019, 5:23 PM

Closing it for now then, thanks

I'm having this issue in 2.81a. If I delete the startup.blend file the issue goes away, but as soon as I save the startup file it starts back up. Is there a way to look at the contents of the startup.blend file in a editor or something. I also tried to look for instances of bpy.ops.wm.save_homefile() in the default blender directory but couldn't make sense of the related/surrounding code to help. Total noob here, just sharing what I came across.

Germano Cavalcante (mano-wii) reopened this task as Needs Information from Developers.Feb 10 2020, 12:33 PM

@Jonathan McIntyre (JMac), could you test with the latest daily build?
https://builder.blender.org/download/

(When testing remember to delete the startup file too)

Aaron Carlisle (Blendify) closed this task as Resolved.Feb 18 2020, 7:28 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.

@Jonathan McIntyre (JMac), could you test with the latest daily build?
https://builder.blender.org/download/

(When testing remember to delete the startup file too)

Ok. Sorry for the late response. I was running 2.81a previously. I installed 2.79, 2.80, 2.82 and 2.83; they all responded the same after saving startup file, that being on the wrong monitor. I also tried loading default startup after saving startup and that didn't help. The only way for it to work is not save a startup file from the drop down. I did as you said as well, went through and deleted the startup file from appdata\roaming\etc.

Aaron Carlisle (Blendify) reopened this task as Confirmed.Feb 19 2020, 4:11 AM
Aaron Carlisle (Blendify) changed the subtype of this task from "Report" to "Known Issue".

I also uninstalled all instances, deleted corresponding directories to best my knowledge, used cleaner to remove invalid reg keys, and fresh installed 2.82; still nothing.

All of the sudden I've started to have this issue on 2.82a.
It seems that if I save startup file (while Blender is on the 1st display) when both my displays are On, Blender starts to open on the second display. The solution was to turn off the second display, start Blender, save startup file, close Blender, turn on the second display. Now it starts on the primary one again.
I'm using the same config file at work where there are two displays and I never had this issue when saving my startup file, however at work I have 1440p+1080p, at home both displays are 1080p

Same issue here with 2.82a. Working fine since install then, saved my startup file because I finally got the software to look how I want it, and now started opening on 2nd monitor. Sergey's fix worked.

  1. Delete "startup.blend"
  2. Turn off second monitor (and third if you have one) from display settings (in my case Nvidia Control Panel)
  3. Start Blender
  4. Tweak UI to your liking
  5. Save startup file from "File - Defaults"
  6. Close Blender
  7. Turn on second display (and third if you have one)
  8. Start up Blender and bingo!

I haven't tried it but I guess that if you make changes to, for example your UI, and save your startup again you'd have to go through the same procedure to reset the windows position to your main monitor

Akeytsu had similar issue. They solved it by detecting what screen cursor is on when the app launches, and opened it on that screen. Although they use Qt framework, I am sure Blender could use something like that too (the fix, not the framework).

i am having this issue with 2.91 alpha

unplug the hdmi for my second monitor, blender naturally opens up in first monitor, save as default and then close and open again with the hdmi plugged and its working as expected.

unplug the hdmi for my second monitor, blender naturally opens up in first monitor, save as default and then close and open again with the hdmi plugged and its working as expected.

This isn't a solution though. Blender needs to detect the screen where mouse cursor is an launch there, save it and launch on that screen next time.

unplug the hdmi for my second monitor, blender naturally opens up in first monitor, save as default and then close and open again with the hdmi plugged and its working as expected.

This isn't a solution though. Blender needs to detect the screen where mouse cursor is an launch there, save it and launch on that screen next time.

the bug is not reproducible, even on my machine it happened out of nowhere, i just imported some grease pencil brushes to the default scene and saved the startup file. then when i launched blender again the issue occurred. It could be a windows problem too!

goodluck asking devs to fix a issue they can't reproduce. sometimes software just behaves randomly.

This worked for me in Windows (adding an argument to the shortcut): https://www.christoph-werner.de/2015/08/28/hint-start-blender-on-a-second-display/

With this you can force it to the startup location desired.

Having same issue on 2.83.2 Why has this not been fixed yet? I get that it may not be easy to reproduce, but that's no excuse to avoid fixing it.

3 monitor setup. Issue started a couple days after creating a new startup file for blender. Initially startup file launched blender on correct monitor, now no matter what I do (followed all steps here) blender opens on my secondary monitor. Tried moving the window and re-saving a startup, no luck. Please take this bug seriously and address it, it's been around too long.

Tried a bunch more stuff to resolve it, still no luck. Sadly I can't modify the shortcut s Bruce mentioned as I don't launch blender from a shortcut, but via an application launcher (Wox)

Any else have luck addressing this issue?

Just rearranging my displays on display settings, swapping left montitor to the right side and right monitor to the left side, opening blender and then closing, and then swapping them back to their original location, fixed the problem for me

Just rearranging my displays on display settings, swapping left montitor to the right side and right monitor to the left side, opening blender and then closing, and then swapping them back to their original location, fixed the problem for me

And that's the reason they don't bother fixing this because they feel that you can just rearrange screens (which is nonsense - not only I physically can't rearrange them, I am not going to mess up my setup that has worked for me nicely for years)

And that's the reason they don't bother fixing this because they feel that you can just rearrange screens (which is nonsense .... )

That is indeed nonsense, sofar no developer has been able to reproduce the issue, hence no-one worked on a fix. That is the only reason, our feelings on how easy it ought to be to move a monitor are not a factor there.

Just rearranging my displays on display settings, swapping left montitor to the right side and right monitor to the left side, opening blender and then closing, and then swapping them back to their original location, fixed the problem for me

And that's the reason they don't bother fixing this because they feel that you can just rearrange screens (which is nonsense - not only I physically can't rearrange them, I am not going to mess up my setup that has worked for me nicely for years)

I said all i did was rearrange them virtually in settings for 30seconds and swapped them back to original after opening/closing blender. It doesnt affect your set up whatsoever.

I said all i did was rearrange them virtually in settings for 30seconds and swapped them back to original after opening/closing blender. It doesnt affect your set up whatsoever.

I don't have to do this for any other software, why should Blender be an exception?! Akeytsu had the same (known) issue, I reported it (along with a few other folks) and it was fixed in the next hot fix. Akeytsu team is much smaller than Blender's dev team and doesn't have as much funding.

I'm currently on 2.90.1.

I'm not sure if this has been alredy noticed or reported, but I think this might be related to the situation when you have monitors stacked up vertically and not side by side.

Usually, if you have 2 monitors side by side, they show up in the Windows display configuration screen like the following:

In my case, I have display [2] on top of display [1].

For me, display [2] is a normal monitor. Display [1] is a drawing tablet.

So, my displays are aligned like this:

And that's how I can reproduce this problem. Blender keeps opening on [2], even when I make the bottom one (display [1]) my primary display. The console window pops up briefly on [1], but the main window goes to [2].

If i rearrange the displays to be side by side, Blender's main window "remembers" to open on [1].

Sorry for the long post. Hope this can help the devs to pinpoint issue.

Good point about the vertical configuration. In my case, I have 3 monitors. 2 are side by side, one is above. On the left is monitor 2, on the right is my main monitor 1, and monitor 3 is above the right monitor. And the monitor blender appears on for me is the vertically stacked one, not my primary.

Really hoping a fix for this can be arranged because I'm working in blender daily, and having to move it to the right monitor every time I launch it (or re-launch after a crash) is super annoying.

For me reinstalling fixes the problem
but when i change the startup file the problem comes back

Bug still exists in the latest build of Blender. can we get an update on this?

No-one is working on this, so there's nothing to report.

I have the same issue with secondary monitor on top of primary, arranged vertically. The dialog popups ALSO go the second monitor.

I;m on 2.93 official release. I've deleted my startup file. Then I arranged my monitors horizontaLLY (LOGICALLY NOT PHYSICALLY), saved the startup file in that configuration. Exited Blender, switched monitors BACK into vertical.

At least Blender opens on the BOTTOM (PRIMARY) monitor now, but the dialog popups open on the second monitor.

On Windows any vertical arrangement of monitors (where any are above any others) is a known issue, explained and fixed in the following (unapproved) patch: https://developer.blender.org/D10637

I have gotten the same problem with 2.92 and now with the official 2.93 release(Windows 10).
In my case, blender launches on my second monitor ONLY if I save a new startup file, if I go to AppData and delete the startup file from there then Blender starts in the primary monitor again.

Is there anything we can do to help this issue get addressed?

Since this problem shows up every time you open blender, and blender regularly crashes (due to countless other issues), it means this problem is encountered super frequently. I personally run into this issue many times a day 5 days a week, and it's getting REALLY frustrating. The crashes are bad enough, but to have to hunt down the window and move it to the proper screen every time is just adding insult to injury.

Seeing as this has been an issue for 3+ years, it means many of us have dealt with it many thousands of times. I LOVE seeing all the awesome new features in recent blender updates but we need an update that is just bug fixes at this point. I guess all I can do is keep donating to the foundation and pray that someday we see a big focus on fixing what we have rather than just adding shiny new features.

@Chris Ellerby (VexFX) i think a fix is in the works right now.

to make it less painful, if you're on windows, you can win+shift+arrow keys to move the window to another monitor as blender is loading up... but you probably have that in other systems too.

Harley Acheson (harley) closed this task as Resolved.Jun 12 2021, 12:05 AM
Harley Acheson (harley) claimed this task.

Some of the problems mentioned in this thread, related to having a vertical arrangement of monitors (one above any other) is fixed in this commit: https://developer.blender.org/rBd75e45d10cbf7d93742f8c746cdb61de32edb42b

Other issues, including from OP, were fixed in 2.93

Why is this marked as "resolved"? It's still here as of 2.93.1.
Fun fact: You can even import the issue with the settings import from your last version.

This workaround does the trick (powering off might not work, you really have to unplug):

unplug the hdmi for my second monitor, blender naturally opens up in first monitor, save as default and then close and open again with the hdmi plugged and its working as expected.

Update: The workaround solves the problem with the main window(s) only, all file browsers (and other windows) still open on the second screen.

This issue still persists and is infuriating. I have to export/ import models regularly and those windows keep opening on my second monitor half out of the screen. Now all of a sudden blender refuses to open in my primary default monitor for some reason.

I installed 2.93.1 on a new machine with two monitors configured vertically in WIndows 10. The main Blender windows open on the PRIMARY monitor which is fine.

The file open and preferences popups, however, ALWAYS come up on the SECOND monitor, no matter what workaround I try.

@Alan Knittel (aknittel) - I installed 2.93.1...monitors configured vertically in WIndows 10...

Have you tried this in a newer version? That was fixed in the following, for Blender 3.0:

https://developer.blender.org/D10637

Have you tried this in a newer version? That was fixed in the following, for Blender 3.0:

I'm currently using Blender 3.0 and however it is not starting at the second screen here, but the first one, it is NOT opening on the MAIN screen as set in Windows, neither it is starting on the screen where the cursor is at.

I think the real issue should be that Blender should open on the screen where the cursor is currently at, like many other software is doing successfully and makes it intuitive.

This is my setup and the 3rd screen is actually the MAIN screen:

It's a pain to move Blender from the first screen to the MAIN screen in the middle, because the first screen is the only 4K screen and is smaller then the other screens. I hardly work on that screen but it just needs to be there as it's the screen of the laptop I'm using. Because that one is 4K and the other screens are 1080p, because it's dimmed because I don't use it and because of the size difference, it's everytime a struggle to get the mouse over there to move Blender to the MAIN screen.

When opening blender on the screen where the cursor is currently at this would solve it!

Thanks in advance!

[edit] AFAIK this was never an issue in Blender before 2.8, so something must have been changed among that time

Could you explain a bit more of what you are experiencing and what you expect?

I just launched blender and the resulting window was on my non-main monitor. This initial window is at a size and position and on the monitor that is specified in my startup file.

For example I launch blender and it opens on a monitor. I can then resize it, move it any other my monitors, place it exactly where I want, Then I can select File / Defaults / Save Startup File, and afterward launching blender will open on that new place. I can in fact break my areas into new windows, open new subwindows, add new Main Windows, arrange them all over my monitors. I then save that as default and they will be just like that the next time I launch it.

@Harley Acheson (harley) Thanks for the quick response.

What I meant was Blender to open at the monitor the mousecursor is currently on. Other software is doing the same and it's very convenient and doesn't need defaults to be saved or whatever, so is very useful and intuitive.

That said, I didn't know about that default thing you just described. I now set the default to open Blender on my Main-monitor here and that seems to work fine for the monitor setup as currently set... but..

It's not perfect though. As monitors are switching all the time here. Also, when deteching the laptop from the base station to work 'on the road' the monitor setup changes. Than the laptop monitor becomes the main monitor, while it is not when attached to the base station. That way the saved default is useless when switching monitor setups. Also a touch screen monitor here is sometimes added to the system and other times is not, which makes windows switch the monitors.

And Windows also automatically switches monitors when one of the monitors is switched off during startup.

Saving a fixed monitor for blender just doesn't make sense to me in flexible setups and related to how Windows works.

Why not just open Blender at the monitor where the cursor is at? Than we can be absolutely sure that A) the monitor is actually present and B) it's the monitor the user expects blender to open on and C) makes it intuitively possible to open blender on a different screen (which I want to do a lot and is more convenient this way)

@Ben Cresty (FunnyAnimal) - Why not just open Blender at the monitor where the cursor is at?

Doing that implies that this can be your only control over where that one window opens. Not only do we want more control, but we also want to allow control over multiple windows on multiple monitors.

At its simplest, a person with a single monitor can now have blender start a single window at the exact size and position they want. But we have users with far more complex setups. When working with multiple monitors the opening of a single Blender file (or saved as default) might actually involve be positioning of dozens of different windows arranged over a half-dozen monitors in a very specific and precise arrangement. That kind of thing can't be combined with "open window at mouse cursor position".

If you have an arrangement of monitors that constantly changes you might not want to start blender with multiple windows, but you still have the option as Blender will just move and/or resize windows that do not fit in the saved location.

And Windows also automatically switches monitors

Blender is not at all saving which monitor a window is on. Instead your OS creates a virtual desktop out of the monitors in the way that you desire. The "Main" monitor is just the one that contains the origin. So blender opens on your main monitor by default just because it contains the origin point - so position 0,0 is always there. So have your blender open on your main monitor, change which is main, then reopen blender to see that it follows that.

it is a very flexible system and works well for beginners and for very complex users.

This is not limited to vertical setups, and it's not entirely a Blender issue but it does seem to happen only with Blender (on my machine).

In case this helps anyone, I've found two solutions that work for me:

  1. From Pushons

step 1: ⚙️ open settings on windows, Change your default main display. tip: if your monitor is set to display 2 set it to display 1.
step 2: 🐵 open blender then move blenders window to the secondary display ( 🖥️ the display you want to launch blender in.)
step 3: 💾 Save start up file in blender. then close blender.
step 4: ⚙️ open settings on windows, Change back to your default main display.

  1. From Christoph Werner

Right click on the blender app icon on your desktop
Open the Properties
Switch to the shortcut tab if not already active
In the target input field add the following parameters after the last quotation marks behind blender.exe:
"C:\Program Files\Blender Foundation\Blender\blender-app.exe" -p 1600 0 1920 1200